[LTCTest][Opal][OP810] ipmitool 1.8.13-1ubuntu0.3 version is still not working for in-band HPM upgrade

Bug #1486931 reported by bugproxy on 2015-08-20
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ipmitool (Ubuntu)
High
Mathieu Trudel-Lapierre
Trusty
High
Mathieu Trudel-Lapierre

Bug Description

[Impact]
New hardware enablement: enables IPMI usage over USB transport, for those systems providing such an interface.

[Test case]
1) run 'ipmitool -I usb sensor'

Without a patched ipmitool, this will not work. With a version of ipmitool with USB interface support, sensor data available for the system will be listed.

[Regression potential]
In the event that the user selects the USB interface (-I usb) on systems which do not support it, ipmitool requests will fail. The new interface code is a new completely separated code path that is unlikely to interfere with any existing code. The additional memcpy change could cause extra data to be read or ignored coming from the BMC, by the ipmitool utility.

---

== Comment: #0 - PAVAMAN SUBRAMANIYAM <email address hidden> - 2015-08-20 05:10:55 ==
---Problem Description---
ipmitool 1.8.13-1ubuntu0.3 version is still not working for in-band HPM upgrade

Contact Information = <email address hidden>

---uname output---
Linux ltc-fire6 3.19.0-26-generic #28~14.04.1-Ubuntu SMP Wed Aug 12 14:10:52 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = P8

---Debugger---
A debugger is not configured

---Steps to Reproduce---
Install a P8 Open Power Hardware with Ubuntu 14.04.3 netboot images.
Then install the proposed ipmitool .deb package which is downloaded from the link: https://launchpad.net/ubuntu/+source/ipmitool/1.8.13-1ubuntu0.3

Then try to use this ipmitool to upgrade the latest HPM files using usb options as done below.

root@ltc-fire6:~# uname -a
Linux ltc-fire6 3.19.0-26-generic #28~14.04.1-Ubuntu SMP Wed Aug 12 14:10:52 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux
root@ltc-fire6:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="14.04.3 LTS, Trusty Tahr"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 14.04.3 LTS"
VERSION_ID="14.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"

root@ltc-fire6:~# which ipmitool
/usr/bin/ipmitool
root@ltc-fire6:~# dpkg -S /usr/bin/ipmitool
ipmitool: /usr/bin/ipmitool
root@ltc-fire6:~# dpkg --list | grep ipmitool
ii ipmitool 1.8.13-1ubuntu0.3 ppc64el utility for IPMI control with kernel driver or LAN interface

root@ltc-fire6:~# ls
ipmitool_1.8.13-1ubuntu0.3_ppc64el.deb

root@ltc-fire6:~# wget https://w3.austin.ibm.com/afs/austin/projects/gfw/images/openpower8/810.1533.20150813o/firestone_810.1533.20150813o_noTraces.hpm --no-check-certificate
--2015-08-19 00:21:52-- https://w3.austin.ibm.com/afs/austin/projects/gfw/images/openpower8/810.1533.20150813o/firestone_810.1533.20150813o_noTraces.hpm
Resolving w3.austin.ibm.com (w3.austin.ibm.com)... 9.3.129.217
Connecting to w3.austin.ibm.com (w3.austin.ibm.com)|9.3.129.217|:443... connected.
WARNING: cannot verify w3.austin.ibm.com's certificate, issued by ?/C=US/O=International Business Machines Corporation/CN=IBM INTERNAL INTERMEDIATE CA?:
  Unable to locally verify the issuer's authority.
    WARNING: certificate common name ?w3sfo.austin.ibm.com? doesn't match requested host name ?w3.austin.ibm.com?.
HTTP request sent, awaiting response... 200 OK
Length: 100663497 (96M)
Saving to: ?firestone_810.1533.20150813o_noTraces.hpm?

100%[===================================================================================================================>] 100,663,497 19.4MB/s in 4.8s

2015-08-19 00:21:57 (20.1 MB/s) - ?firestone_810.1533.20150813o_noTraces.hpm? saved [100663497/100663497]

root@ltc-fire6:~# ipmitool -I usb lan print
Set in Progress : Set Complete
Auth Type Support : MD5
Auth Type Enable : Callback : MD5
                        : User : MD5
                        : Operator : MD5
                        : Admin : MD5
                        : OEM : MD5
IP Address Source : Static Address
IP Address : 9.3.190.141
Subnet Mask : 255.255.255.0
MAC Address : 70:e2:84:14:01:77
SNMP Community String : AMI
IP Header : TTL=0x40 Flags=0x40 Precedence=0x00 TOS=0x10
BMC ARP Control : ARP Responses Enabled, Gratuitous ARP Disabled
Gratituous ARP Intrvl : 0.0 seconds
Default Gateway IP : 9.3.190.1
Default Gateway MAC : 00:1f:6d:a3:04:00
Backup Gateway IP : 0.0.0.0
Backup Gateway MAC : 00:00:00:00:00:00
802.1q VLAN ID : Disabled
802.1q VLAN Priority : 0
RMCP+ Cipher Suites : 0,1,2,3,6,7,8,11,12,15,16,17
Cipher Suite Priv Max : caaaaaaaaaaaXXX
                        : X=Cipher Suite Unused
                        : c=CALLBACK
                        : u=USER
                        : o=OPERATOR
                        : a=ADMIN
                        : O=OEM

root@ltc-fire6:~# ipmitool -I usb mc reset cold
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while sending command using
MC reset command failed: Unspecified error

root@ltc-fire6:~# sleep 120

on the BMC login

login as: sysadmin
sysadmin@9.3.190.141's password:

BusyBox v1.13.2 (2015-07-06 12:28:10 EDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

# power -s
System Power Off.

# power -n
Powering OnSystem already powered on. Exiting...
# power -s
System Power On.

Also power on the HOST OS using Power Control and Status tab in BMC dashboard

root@ltc-fire6:~# ipmitool -I usb raw 0x32 0xBA 0x00 0x00

root@ltc-fire6:~# ipmitool -v -I usb -z 32767 hpm upgrade firestone_810.1533.20150813o_noTraces.hpm component 0 force
Setting large buffer to 32767
Invalid length for the selected interface (Invalid command) 193

PICMG HPM.1 Upgrade Agent 1.0.8:

Component Id 0 provided
TARGET UPGRADE CAPABILITIES
-------------------------------
HPM.1 version............0
Component 0 presence....[y]
Component 1 presence....[y]
Component 2 presence....[y]
Component 3 presence....[n]
Component 4 presence....[n]
Component 5 presence....[n]
Component 6 presence....[n]
Component 7 presence....[n]
Upgrade undesirable.....[n]
Aut rollback override...[n]
IPMC degraded...........[y]
Defered activation......[y]
Service affected........[y]
Manual rollback.........[n]
Automatic rollback......[n]
Self test...............[y]
Upgrade timeout.........[1275 sec]
Self test timeout.......[5 sec]
Rollback timeout........[1275 sec]
Inaccessibility timeout.[25 sec]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BOOT

Current Version:
 Major: 2
 Minor: 0
 Aux : 000 000 000 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: APP

Current Version:
 Major: 2
 Minor: 0
 Aux : 113 057 001 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BIOS

Current Version:
 Major: 0
 Minor: 0
 Aux : 000 000 000 000

Validating firmware image integrity...OK
Performing preparation stage...TARGET UPGRADE CAPABILITIES
-------------------------------
HPM.1 version............0
Component 0 presence....[y]
Component 1 presence....[y]
Component 2 presence....[y]
Component 3 presence....[n]
Component 4 presence....[n]
Component 5 presence....[n]
Component 6 presence....[n]
Component 7 presence....[n]
Upgrade undesirable.....[n]
Aut rollback override...[n]
IPMC degraded...........[y]
Defered activation......[y]
Service affected........[y]
Manual rollback.........[n]
Automatic rollback......[n]
Self test...............[y]
Upgrade timeout.........[1275 sec]
Self test timeout.......[5 sec]
Rollback timeout........[1275 sec]
Inaccessibility timeout.[25 sec]

Services may be affected during upgrade. Do you wish to continue? y/n y
GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

OK

Performing upgrade stage:
Updating component 0
Updating component 1
Updating component 2
Component update mask : 0x07

-------------------------------------------------------------------------------
|ID | Name | Versions | % |
| | | Active | Backup | File | |
|----|-------------|-----------------|-----------------|-----------------|----|
Do not skip 0
|* 0|BOOT | 2.00 00000000 | ---.-- -------- | 1.00 22000000 | 0%|Use File Upgrade Capabilities: 1275 seconds 100%|
| |Upload Time: 00:21 | Image Size: 262160 bytes |
Use File Upgrade Capabilities: 1275 seconds
Do not skip 1
|* 1|APP | 2.00 71390100 | ---.-- -------- | 2.00 7C350100 | 0%|Use File Upgrade Capabilities: 1275 seconds 100%|
| |Upload Time: 21:23 | Image Size: 33292304 bytes |
Error finishing firmware upload
compcode=0x81: Unknown (0x81)
-------------------------------------------------------------------------------
(*) Component requires Payload Cold Reset
Firmware upgrade procedure failed

Invalid length for the selected interface (Invalid command) 193

root@ltc-fire6:~# ipmitool -I usb hpm activate component 0

PICMG HPM.1 Upgrade Agent 1.0.8:

Error activating firmware
compcode=0xd5: Command not supported in present state

root@ltc-fire6:~# ipmitool -I usb mc reset cold
Sent cold reset command to MC

root@ltc-fire6:~# ipmitool -I usb hpm activate component 0

PICMG HPM.1 Upgrade Agent 1.0.8:

Error activating firmware
compcode=0xd5: Command not supported in present state
root@ltc-fire6:~# ipmitool -v -I usb -z 32767 hpm upgrade firestone_810.1533.20150813o_noTraces.hpm component 1 force
Setting large buffer to 32767
Invalid length for the selected interface (Invalid command) 193

PICMG HPM.1 Upgrade Agent 1.0.8:

Component Id 1 provided
TARGET UPGRADE CAPABILITIES
-------------------------------
HPM.1 version............0
Component 0 presence....[y]
Component 1 presence....[y]
Component 2 presence....[y]
Component 3 presence....[n]
Component 4 presence....[n]
Component 5 presence....[n]
Component 6 presence....[n]
Component 7 presence....[n]
Upgrade undesirable.....[n]
Aut rollback override...[n]
IPMC degraded...........[y]
Defered activation......[y]
Service affected........[y]
Manual rollback.........[n]
Automatic rollback......[n]
Self test...............[y]
Upgrade timeout.........[1275 sec]
Self test timeout.......[5 sec]
Rollback timeout........[1275 sec]
Inaccessibility timeout.[25 sec]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BOOT

Current Version:
 Major: 2
 Minor: 0
 Aux : 124 053 001 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: APP

Current Version:
 Major: 2
 Minor: 0
 Aux : 113 057 001 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BIOS

Current Version:
 Major: 0
 Minor: 0
 Aux : 000 000 000 000

Validating firmware image integrity...OK
Performing preparation stage...TARGET UPGRADE CAPABILITIES
-------------------------------
HPM.1 version............0
Component 0 presence....[y]
Component 1 presence....[y]
Component 2 presence....[y]
Component 3 presence....[n]
Component 4 presence....[n]
Component 5 presence....[n]
Component 6 presence....[n]
Component 7 presence....[n]
Upgrade undesirable.....[n]
Aut rollback override...[n]
IPMC degraded...........[y]
Defered activation......[y]
Service affected........[y]
Manual rollback.........[n]
Automatic rollback......[n]
Self test...............[y]
Upgrade timeout.........[1275 sec]
Self test timeout.......[5 sec]
Rollback timeout........[1275 sec]
Inaccessibility timeout.[25 sec]

Services may be affected during upgrade. Do you wish to continue? y/n y
GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

OK

Performing upgrade stage:
Updating component 0
Updating component 1
Updating component 2
Component update mask : 0x07

-------------------------------------------------------------------------------
|ID | Name | Versions | % |
| | | Active | Backup | File | |
|----|-------------|-----------------|-----------------|-----------------|----|
Do not skip 0
|* 0|BOOT | 2.00 7C350100 | ---.-- -------- | 1.00 22000000 | 0%|Use File Upgrade Capabilities: 1275 seconds 100%|
| |Upload Time: 00:20 | Image Size: 262160 bytes |
Use File Upgrade Capabilities: 1275 seconds
Do not skip 1
|* 1|APP | 2.00 71390100 | ---.-- -------- | 2.00 7C350100 | 0%|Use File Upgrade Capabilities: 1275 seconds 100%|
| |Upload Time: 21:26 | Image Size: 33292304 bytes |
Error finishing firmware upload
compcode=0x81: Unknown (0x81)
-------------------------------------------------------------------------------
(*) Component requires Payload Cold Reset
Firmware upgrade procedure failed

Invalid length for the selected interface (Invalid command) 193

Userspace tool common name: /usr/bin/ipmitool

The userspace tool has the following bit modes: 64-bit

Userspace rpm: ipmitool-1.8.13-1ubuntu0.3

Userspace tool obtained from project website: na

bugproxy (bugproxy) on 2015-08-20
tags: added: architecture-ppc64le bugnameltc-129223 severity-critical targetmilestone-inin14043
affects: ubuntu → ipmitool (Ubuntu)
Changed in ipmitool (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Robie Basak (racb) wrote :

Was this not verified working by Breno when he marked verification-done-trusty in bug 1481780?

Breno Leitão (breno-leitao) wrote :

Yes. I got it was testing from David's answer from AMI. He said "We are currently resolving some hpm inband update issues on the firmware side, so the failure could potentially be due to the firmware and not the ipmitool application. We are planning for a release this week that would resolve the hpm issues on the firmware and then this could be retested."

So, I am wondering if this is a software or a firmware issue.

------- Comment From <email address hidden> 2015-09-07 12:22 EDT-------
David and his team are having a look after Pavaman's latest test.
There's at least a problem with all component trying to be updated whereas only one was asked to ("component 1" passed and component 0,1 trying to be upgraded).
In ipmitool-1.8.15-cvs there's no such issue.

Breno Leitão (breno-leitao) wrote :

It was found that for some specific cases, a new patchset would be required to be backported to 1.8.13 from 1.8.15. David is looking at it right now.

Breno Leitão (breno-leitao) wrote :

Attached is the ipmitool-1.8.13-1_usb+hpm_fixes-patch.diff file which contains the usb interface support all the hpm fixes required for the large buffer size.

(From David and posted originally at https://bugs.launchpad.net/ubuntu/+source/ipmitool/+bug/1481780/comments/16)

The attachment "hpm fixes agaist ipmitool 1.8.13" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
description: updated
Changed in ipmitool (Ubuntu):
status: New → In Progress
importance: Undecided → High
Changed in ipmitool (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in ipmitool (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Chris J Arges (arges) wrote :

@breno

You noted that these patches came from another comment. I'm not sure which upstream commits these changes correspond to. Can you find this out, and I can amend the debdiff to show patch origin. Thanks

Breno Leitão (breno-leitao) wrote :

Hi Chris,

Yes, the patch was originally attached to a fix released bug (1481780) , and I just attached it to this bug.
This is the original post. https://bugs.launchpad.net/ubuntu/+source/ipmitool/+bug/1481780/comments/16

I understand that the major commits that we are backporting are c78911c730fb49c4c6c2b6ed32c01b17aa539946 and 23e9340b49c7f339762dda0c3d56a1db6ef6efb1 entitled "Add HPM.1 support" and "HPM.2 long message support".

I am adding David, who created this patch, in this bug so he can add more information about it.

By the way, what do you want in the debdiff? anything other than the same patch plus an entry in the changelog? I can work on it.

Thanks
Breno

Hello bugproxy, or anyone else affected,

Accepted ipmitool into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ipmitool/1.8.13-1ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ipmitool (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
bugproxy (bugproxy) on 2015-10-01
tags: removed: bugnameltc-129223 patch severity-critical verification-needed

------- Comment From <email address hidden> 2015-10-05 04:51 EDT-------
*** Bug 128828 has been marked as a duplicate of this bug. ***

tags: added: bugnameltc-129223 severity-critical verification-needed
Breno Leitão (breno-leitao) wrote :

David, Fred,

Could you please validate this bug, please?

Thanks

bugproxy (bugproxy) wrote :
Download full text (10.0 KiB)

------- Comment From <email address hidden> 2015-10-06 07:21 EDT-------
Hi
Tried in-band firmware flash with the proposed ipmitool https://launchpad.net/ubuntu/+source/ipmitool/1.8.13-1ubuntu0.4
It's working fine

Below are the results of in-band update.

1.Firmware level before flash
[pridhiviraj@localhost ~]$ ipmitool -I lanplus -H 9.40.193.53 -U ADMIN -P admin fru print 47
Product Name : OpenPOWER Firmware
Product Version : IBM-firestone-ibm-OP8_PFD_v1.6_0.29
Product Extra : hostboot-6847d73-b8d7c0a
Product Extra : occ-0726e69
Product Extra : skiboot-5.1.3-6221bd2
Product Extra : hostboot-binaries-43d5a59
Product Extra : firestone-xml-db1a93e-4ae8032
Product Extra : capp-ucode-105cb8f
[pridhiviraj@localhost ~]$

2.Verified the version of kernel and ipmitool
ubuntu@ltc-fire8:~$
ubuntu@ltc-fire8:~$ uname -a
Linux ltc-fire8 3.19.0-30-generic #33~14.04.1-Ubuntu SMP Tue Sep 22 09:27:51 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux
ubuntu@ltc-fire8:~$ cat /etc/os-release
NAME="Ubuntu"
VERSION="14.04.3 LTS, Trusty Tahr"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 14.04.3 LTS"
VERSION_ID="14.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
ubuntu@ltc-fire8:~$
ubuntu@ltc-fire8:~$
ubuntu@ltc-fire8:~$ which ipmitool
/usr/bin/ipmitool
ubuntu@ltc-fire8:~$ dpkg -S /usr/bin/ipmitool
ipmitool: /usr/bin/ipmitool
ubuntu@ltc-fire8:~$ dpkg --list | grep ipmitool
ii ipmitool 1.8.13-1ubuntu0.4 ppc64el utility for IPMI control with kernel driver or LAN interface
ubuntu@ltc-fire8:~$ ipmitool -V
ipmitool version 1.8.13
ubuntu@ltc-fire8:~$

ubuntu@ltc-fire8:~$ ipmitool -I usb power status
Chassis Power is on

3.Firmware in-band upgrade done according to the steps mentioned in driver release notes http://pfd.austin.ibm.com/releasenotes/firenze/op810/OP810_1539A/OP810_1539D_RelNote_Main.html. Here upgradation done for all components at a time as mentioned in release notes above.
ubuntu@ltc-fire8:~$ ls
8335_810.1539.20150930n_update.hpm
ubuntu@ltc-fire8:~$

ubuntu@ltc-fire8:~$ ipmitool -I usb mc reset cold
Error while reading CD-Drive
ReadCD returned ERROR
WaitForCommandComplete failed
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
sendscsicmd_SGIO: SG_IO ioctl error
sendscsicmd_SGIO: SG_IO ioctl error
sendscsicmd_SGIO: SG_IO ioctl error
Error while writing to CD-Drive
Error in Write CD of SCSI_AMIDEF_CMD_SECTOR
Error while sending command using
MC reset command failed: Unspecified error

[pridhiviraj@localhost ~]$ ipmitool -I lanplus -H 9.40.193.53 -U ADMIN -P admin power off
Chassis Power Control: Down/Off
[pridhiviraj@localhost ~]$ ipmitool -I lanplus -H 9.40.193.53 -U ADMIN -P admin power status
Chassis Power is off
[pridhiviraj@localhost ~]$ ipmitool -I lanplus -H 9.40.193.53 -U ADMIN -P admin power on
Chassis Power Control: Up/On
[pridhiviraj@localhost ~]$ ipmitool -I lanplus -H 9.40.193.53 -U ADMIN -P admin power status
Chassis Power is on
[pridhiviraj@localhost ~]$

ubuntu@ltc-fire8:~$ ipmitool -I usb raw 0x32 0xBA 0...

Breno Leitão (breno-leitao) wrote :

Changing to 'verification-done' according to the last comment (comment#12)

tags: added: verification-done
removed: verification-needed
Chris J Arges (arges) wrote :

This fails to build on powerpc (not ppc64el):

/bin/bash ../libtool --silent --tag=CC --mode=link gcc -g -O2 -fno-strict-aliasing -Wreturn-type -I /lib/modules/3.13.0-65-powerpc64-smp/build/include -o ipmitool ipmitool.o ipmishell.o ../lib/libipmitool.la plugins/libintf.la -lreadline -lncurses -ltinfo -lreadline -lncurses -ltinfo -lcrypto
plugins/.libs/libintf.a(lt3-hpm2.o): In function `hpm2_get_capabilities':
/«PKGBUILDDIR»/lib/hpm2.c:125: undefined reference to `BSWAP_16'
plugins/.libs/libintf.a(lt3-hpm2.o): In function `hpm2_get_lan_channel_capabilities':
/«PKGBUILDDIR»/lib/hpm2.c:246: undefined reference to `BSWAP_16'
/«PKGBUILDDIR»/lib/hpm2.c:247: undefined reference to `BSWAP_16'
collect2: error: ld returned 1 exit status

https://launchpad.net/ubuntu/+source/ipmitool/1.8.13-1ubuntu0.4/+build/8028707

Is __builtin_bswap16 not available for powerpc gcc4.8?

Steve Langasek (vorlon) wrote :

BSWAP_16() is a non-standard declaration provided by the bswap.h header file included in this patch. The backported patch is missing an <ipmitool/bswap.h> include in this file (lib/hpm2.c).

This appears to be a one-liner fix (see attached). Hopefully this is the only thing that was missed in the backport.

Changed in ipmitool (Ubuntu Trusty):
status: Fix Committed → Triaged
bugproxy (bugproxy) wrote :
Download full text (6.1 KiB)

------- Comment From <email address hidden> 2015-10-15 11:28 EDT-------
I could actually flash our firestone with a signed hpm this time and the latest ipmitool 1.8.13-1ubuntu0.5

ubuntu@coche:~$ dpkg --list | grep ipmitool
ii ipmitool 1.8.13-1ubuntu0.5 ppc64el utility for IPMI control with kernel driver or LAN interface
ubuntu@coche:~$ ipmitool -V
ipmitool version 1.8.15-cvs
ubuntu@coche:~$ ipmitool -I usb mc reset cold
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while writing to CD-Drive
Error in WriteSplitData of SCSI_AMIDEF_DATA_SECTOR
Error while sending command using
MC reset command failed: Unspecified error
ubuntu@coche:~$ Write failed: Broken pipe
? 1d [fbonnard:~] 4m52s 255 $ ssh ubuntu@coche
Warning: the ECDSA host key for 'coche' differs from the key for the IP address '9.101.18.88'
Offending key for IP in /home/fbonnard/.ssh/known_hosts:510
Matching host key in /home/fbonnard/.ssh/known_hosts:517
Are you sure you want to continue connecting (yes/no)? yes
ubuntu@coche's password:

ubuntu@coche:~$ ipmitool -I usb raw 0x32 0xBA 0x00 0x00

ubuntu@coche:~$ ipmitool -v -I usb hpm upgrade 8335_810.1539.20151008a_update.hpm -z 32767 force
Setting large buffer to 32767

PICMG HPM.1 Upgrade Agent 1.0.9:

TARGET UPGRADE CAPABILITIES
-------------------------------
HPM.1 version............0
Component 0 presence....[y]
Component 1 presence....[y]
Component 2 presence....[y]
Component 3 presence....[n]
Component 4 presence....[n]
Component 5 presence....[n]
Component 6 presence....[n]
Component 7 presence....[n]
Upgrade undesirable.....[n]
Aut rollback override...[n]
IPMC degraded...........[y]
Defered activation......[y]
Service affected........[y]
Manual rollback.........[n]
Automatic rollback......[n]
Self test...............[y]
Upgrade timeout.........[1275 sec]
Self test timeout.......[5 sec]
Rollback timeout........[1275 sec]
Inaccessibility timeout.[25 sec]

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BOOT

Current Version:
Major: 2
Minor: 10
Aux : 201 073 001 000

Deferred FW Version:
Major: 0
Minor: 0
Aux : 000 000 000 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: APP

Current Version:
Major: 2
Minor: 10
Aux : 201 073 001 000

Deferred FW Version:
Major: 0
Minor: 0
Aux : 000 000 000 000

GENERAL PROPERTIES
-------------------------------
Payload cold reset req....[y]
Def. activation supported.[y]
Comparison supported......[y]
Preparation supported.....[y]
Rollback supported........[n]

Description string: BIOS

Current Version:
Major: 0
Minor: 0
Aux : 000 000 000 000

Deferred FW Version:
Major: 0
Minor: 0
Aux : 000 000 000 000

Validating firmware image integrity...OK
Performing preparation stage...TAR...

Read more...

Frédéric Bonnard (frediz) wrote :

Hi,
just for the record : I could build with Steve's patch on ppc64el (1.8.13-1ubuntu0.5) and flash successfully our firestone machine as before with 1.8.13-1ubuntu0.4
F.

Breno Leitão (breno-leitao) wrote :

Thanks Frédéric, that is helpful.

I think that the version 1.8.13-1ubuntu0.5 still didn't make the -proposed archive. We probably need to wait it to happen and re-check the officially compiled one in order to mark the bug as verification-done.

Hello bugproxy, or anyone else affected,

Accepted ipmitool into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ipmitool/1.8.13-1ubuntu0.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ipmitool (Ubuntu Trusty):
status: Triaged → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Frédéric Bonnard (frediz) wrote :

Hi,
I'm copying here what Pridhiviraj said internally at IBM :
"FW upgrade is successful with proposed ipmitool from trusty-proposed."
He did the upgrade from IBM-firestone-ibm-OP8_v1.6_0.38 to IBM-firestone-ibm-OP8_v1.7_0.3 with

ubuntu@ltc-fire5:~$ dpkg --list | grep ipmitool
ii ipmitool 1.8.13-1ubuntu0.5 ppc64el

that he got with apt-get from trusty-proposed.
Thanks to him.

Default Comment by Bridge

Default Comment by Bridge

Breno Leitão (breno-leitao) wrote :

Marked as verification-done due to Pridhiviraj's successfully tests.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ipmitool - 1.8.13-1ubuntu0.5

---------------
ipmitool (1.8.13-1ubuntu0.5) trusty; urgency=medium

  * debian/patches/usb_interface_support.patch: include bswap.h from hpm2.h;
    this is required for powerpc to build successfully.

ipmitool (1.8.13-1ubuntu0.4) trusty; urgency=medium

  * debian/patches/usb_interface_support.patch: backport more chunks of USB and
    HPM interfaces to let the USB transport work properly. (LP: #1486931)

ipmitool (1.8.13-1ubuntu0.3) trusty; urgency=medium

  * debian/patches/memcpy_hpm_fix.patch: fix wrong memcpy boundary parameter in
    HpmFwupgActionUploadFirmware(). (LP: #1481780)
  * debian/patches/usb_interface_support.patch: add USB interface support.
    (LP: #1481780)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 14 Oct 2015 15:48:33 -0400

Changed in ipmitool (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ipmitool has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Default Comment by Bridge

Default Comment by Bridge

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers